
Ruby - Bug #1180

gethostbyname

02/20/2009 01:32 AM - OlegPuchinin (Oleg Puchinin)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.1p0 (2009-01-30 revision

21907) [i686-linux]

Backport:  

Description

=begin

Socket.gethostbyname("192.0.34.166")

return ["192.0.34.166", [], 2, "\xC0\x00"\xA6"],

not ["www.example.com", [], 2, "\300\000"\246"]

where is "getnamebyhost" ?

Best regards,

Oleg.

=end

History

#1 - 02/20/2009 12:14 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Feedback

=begin

What do you mean?

$ dig www.example.com | grep -w IN

;www.example.com.  IN A

www.example.com. 80 IN A 208.77.188.166

=end

#2 - 02/20/2009 08:51 PM - nobu (Nobuyoshi Nakada)

=begin

Hi,

At Fri, 20 Feb 2009 01:32:06 +0900,

Oleg Puchinin wrote in [ruby-core:22261]:

where is "getnamebyhost" ?

 Is what you want Socket.getnameinfo?

--

Nobu Nakada

=end

#3 - 07/16/2009 05:50 PM - yugui (Yuki Sonoda)

- Status changed from Feedback to Rejected

=begin

=end
